# Class CIM_HostedRoute
extends CIM_HostedDependency

HostedRoute describes the relationship between the route and the system in whose context it is defined.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedRoute

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | HostedRoute describes the relationship between the route and the system in whose context it is defined.
UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedRoute | CIM_System
Dependent | CIM_HostedRoute | CIM_NextHopRoute

## Class Methods